# prxtypes.h File Reference

`#include "types.h"`

Include dependency graph for prxtypes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | PspModuleExport
struct | PspModuleImport
struct | PspModuleInfo
struct | PspEntry
struct | PspLibImport
struct | PspLibExport
struct | PspModule
| Structure to hold the loaded module information. More...

## Defines

#define | PSP_MODULE_MAX_NAME 28
#define | PSP_LIB_MAX_NAME 128
#define | PSP_ENTRY_MAX_NAME 128
#define | PSP_MAX_V_ENTRIES 255
#define | PSP_MAX_F_ENTRIES 65535
#define | PSP_MODULE_INFO_NAME ".rodata.sceModuleInfo"
#define | PSP_MODULE_REMOVE_REL ".rel.sceStub.text"
#define | PSP_SYSTEM_EXPORT "syslib"

## Enumerations

enum | PspEntryType { PSP_ENTRY_FUNC = 0, PSP_ENTRY_VAR = 1 }

## Variables

PspModuleExport | packed

## Define Documentation

#define PSP_ENTRY_MAX_NAME 128

#define PSP_LIB_MAX_NAME 128

#define PSP_MAX_F_ENTRIES 65535

#define PSP_MAX_V_ENTRIES 255

#define PSP_MODULE_INFO_NAME ".rodata.sceModuleInfo"

#define PSP_MODULE_MAX_NAME 28

#define PSP_MODULE_REMOVE_REL ".rel.sceStub.text"

#define PSP_SYSTEM_EXPORT "syslib"

## Enumeration Type Documentation

enum PspEntryType

Enumerator:

  PSP_ENTRY_FUNC |
  PSP_ENTRY_VAR |

## Variable Documentation

struct PspModuleExport packed